Chromium Code Reviews
chromiumcodereview-hr@appspot.gserviceaccount.com (chromiumcodereview-hr) | Please choose your nickname with Settings | Help | Chromium Project | Gerrit Changes | Sign out
(76)

Unified Diff: src/overlays/overlay-beagleboard/sys-boot/xloader/xloader-1.4.3.ebuild

Issue 661216: Move public board overlays to the chromeos repository. (Closed)
Patch Set: Created 10 years, 10 months ago
Use n/p to move between diff chunks; N/P to move between comments. Draft comments are only viewable by you.
Jump to:
View side-by-side diff with in-line comments
Download patch
Index: src/overlays/overlay-beagleboard/sys-boot/xloader/xloader-1.4.3.ebuild
diff --git a/src/overlays/overlay-beagleboard/sys-boot/xloader/xloader-1.4.3.ebuild b/src/overlays/overlay-beagleboard/sys-boot/xloader/xloader-1.4.3.ebuild
new file mode 100644
index 0000000000000000000000000000000000000000..4890814815666552f8bc98fb75e34d4f34815670
--- /dev/null
+++ b/src/overlays/overlay-beagleboard/sys-boot/xloader/xloader-1.4.3.ebuild
@@ -0,0 +1,50 @@
+# Copyright (c) 2009 The Chromium OS Authors. All rights reserved.
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=2
+
+inherit eutils git toolchain-funcs
+
+DESCRIPTION="X-Loader: Initial Program Loader for OMAP-based boards"
+EGIT_REPO_URI="git://gitorious.org/x-load-omap3/mainline.git"
+HOMEPAGE="http://git.gitorious.org/x-load-omap3/mainline.git"
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="arm"
+IUSE="fastboot"
+
+DEPEND=""
+RDEPEND="${DEPEND}"
+
+src_prepare() {
+ if use fastboot ; then
+ epatch "${FILESDIR}/${P}-fastboot.patch"
+ fi
+ # http://beagleboard.googlecode.com/files/signGP.c
+ cp "${FILESDIR}"/signGP.c "${S}"
+}
+
+src_configure() {
+ local configuration="omap3530beagle_config"
+
+ elog "Using X-Loader config: ${configuration}"
+
+ emake distclean
+ emake "${configuration}" \
+ || die "X-Loader configuration failed"
+}
+
+src_compile() {
+ emake \
+ ARCH=$(tc-arch-kernel) \
+ CROSS_COMPILE="${CHOST}-" \
+ || die "X-Loader compile failed"
+ "$(tc-getBUILD_CC)" -o signGP signGP.c \
+ || die "signGP compile failed"
+ ./signGP x-load.bin
+}
+
+src_install() {
+ dodir /boot
+ cp -a "${S}"/x-load.bin.ift "${D}"/boot/
+}

Powered by Google App Engine
This is Rietveld 408576698